package com.capgemini.reports.exceptions;

/** Exception thrown in HMI when there is no data to be shown. */
public class NothingToBeShownException extends InvalidInputException {

    private static final long serialVersionUID = 6401523061302777316L;

    final String niceMessageForUser;

    /**
     * Creates an instance.
     * @param aTechnicalErrorMessage a technical error message for debugging
     * @param userMessage a friendly user message for displaying
     */
    public NothingToBeShownException(String aTechnicalErrorMessage, String userMessage) {
        super(aTechnicalErrorMessage, UserInputErrorEnum.NOTHING_TO_BE_SHOWN);
        this.niceMessageForUser = userMessage;
    }

    public String getErrorMessageForUser() {
        return niceMessageForUser;
    }

}
